Bug 1677701 - Opening a file from the command line doesn't work
Summary: Opening a file from the command line doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-15 15:45 UTC by Gwyn Ciesla
Modified: 2019-04-13 15:32 UTC (History)
2 users (show)

Fixed In Version: lollypop-0.9.925-1.fc28 lollypop-0.9.925-1.fc29 lollypop-0.9.925-1.fc30 lollypop-1.0.2-1.fc30 lollypop-1.0.5-1.fc28 lollypop-1.0.5-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 21:17:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Gwyn Ciesla 2019-02-15 15:45:38 UTC
If I open lollypop and play a file from the GUI, it works. If I do 'lollypop <filename>, I get:

GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying

From abrt:

application.py:444:__on_command_line:gi.repository.GLib.GError: g-io-error-quark: Operation not supported (15)

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 444, in __on_command_line
    None)
gi.repository.GLib.GError: g-io-error-quark: Operation not supported (15)

Comment 1 Gwyn Ciesla 2019-03-05 15:19:37 UTC
Still present in 0.9.924-1.

Comment 2 MartinKG 2019-03-05 15:51:01 UTC
Upstream Ticket: https://gitlab.gnome.org/World/lollypop/issues/1692

Comment 3 Fedora Update System 2019-03-06 14:39:59 UTC
lollypop-0.9.924-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-73b7cc687a

Comment 4 Fedora Update System 2019-03-06 14:40:11 UTC
lollypop-0.9.924-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4944136eb

Comment 5 Fedora Update System 2019-03-06 14:40:17 UTC
lollypop-0.9.924-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5d4dadd98a

Comment 6 Fedora Update System 2019-03-06 22:32:49 UTC
lollypop-0.9.924-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4944136eb

Comment 7 Fedora Update System 2019-03-06 22:54:05 UTC
lollypop-0.9.924-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4944136eb

Comment 8 Fedora Update System 2019-03-07 20:31:36 UTC
lollypop-0.9.924-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-73b7cc687a

Comment 9 Fedora Update System 2019-03-07 21:03:36 UTC
lollypop-0.9.924-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5d4dadd98a

Comment 10 Fedora Update System 2019-03-08 20:12:10 UTC
lollypop-0.9.924-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab7b0bbfc2

Comment 11 Fedora Update System 2019-03-08 20:12:18 UTC
lollypop-0.9.924-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a8fa1873e

Comment 12 Fedora Update System 2019-03-08 20:12:31 UTC
lollypop-0.9.924-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c543880fe3

Comment 13 Fedora Update System 2019-03-09 17:40:23 UTC
lollypop-0.9.924-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab7b0bbfc2

Comment 14 Fedora Update System 2019-03-10 18:27:48 UTC
lollypop-0.9.924-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c543880fe3

Comment 15 Fedora Update System 2019-03-10 19:13:41 UTC
lollypop-0.9.924-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a8fa1873e

Comment 16 Fedora Update System 2019-03-11 07:48:49 UTC
lollypop-0.9.925-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-89a85f6c31

Comment 17 Fedora Update System 2019-03-11 07:49:00 UTC
lollypop-0.9.925-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f509e4cb54

Comment 18 Fedora Update System 2019-03-11 07:49:06 UTC
lollypop-0.9.925-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-42fc100c6d

Comment 19 Fedora Update System 2019-03-11 14:41:52 UTC
lollypop-0.9.925-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f509e4cb54

Comment 20 Nicolas Berrehouc 2019-03-11 16:53:49 UTC
Still present with last build lollypop-0.9.925-1.fc29.

[ERROR] 2019-03-11 17:48:33 is_audio: g-io-error-quark: Opération non prise en charge (15)
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 440, in __on_command_line
    None)
gi.repository.GLib.Error: g-io-error-quark: Opération non prise en charge (15)

Comment 21 Fedora Update System 2019-03-11 20:01:07 UTC
lollypop-0.9.925-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-89a85f6c31

Comment 22 Fedora Update System 2019-03-11 20:48:47 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-42fc100c6d

Comment 23 MartinKG 2019-03-12 07:17:44 UTC
Upstream ticket has been reopened.

Comment 24 Fedora Update System 2019-03-19 14:59:47 UTC
lollypop-1.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8cfa2d9077

Comment 25 Fedora Update System 2019-03-19 15:00:12 UTC
lollypop-1.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-214426cc02

Comment 26 Fedora Update System 2019-03-19 15:00:35 UTC
lollypop-1.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-be6ea6a0e9

Comment 27 Nicolas Berrehouc 2019-03-20 05:53:34 UTC
No more error when opening files from command line.

Comment 28 Fedora Update System 2019-03-20 21:17:18 UTC
lollypop-0.9.925-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2019-03-20 22:02:08 UTC
lollypop-1.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8cfa2d9077

Comment 30 Fedora Update System 2019-03-20 22:12:39 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2019-03-20 22:18:05 UTC
lollypop-1.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-214426cc02

Comment 32 Fedora Update System 2019-03-21 14:40:19 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2019-03-21 19:11:43 UTC
lollypop-1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-be6ea6a0e9

Comment 34 Fedora Update System 2019-03-22 09:28:14 UTC
lollypop-1.0.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4447b4ffa4

Comment 35 Fedora Update System 2019-03-22 09:28:28 UTC
lollypop-1.0.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-97927c0277

Comment 36 Fedora Update System 2019-03-22 09:28:38 UTC
lollypop-1.0.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb71f3b73e

Comment 37 Fedora Update System 2019-03-22 19:17:06 UTC
lollypop-1.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4447b4ffa4

Comment 38 Fedora Update System 2019-03-23 02:41:20 UTC
lollypop-1.0.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-97927c0277

Comment 39 Fedora Update System 2019-03-23 03:12:50 UTC
lollypop-1.0.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb71f3b73e

Comment 40 Fedora Update System 2019-03-29 08:13:20 UTC
lollypop-1.0.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-88f446d51e

Comment 41 Fedora Update System 2019-03-29 08:13:37 UTC
lollypop-1.0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d971cff9f

Comment 42 Fedora Update System 2019-03-29 19:11:40 UTC
lollypop-0.9.925-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2019-03-29 19:19:30 UTC
lollypop-1.0.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2019-03-29 20:10:59 UTC
lollypop-1.0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d971cff9f

Comment 45 Fedora Update System 2019-03-29 22:41:17 UTC
lollypop-1.0.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-88f446d51e

Comment 46 Fedora Update System 2019-04-02 06:42:03 UTC
lollypop-1.0.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b210e31e50

Comment 47 Fedora Update System 2019-04-02 06:42:22 UTC
lollypop-1.0.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4d9805e6e

Comment 48 Fedora Update System 2019-04-03 03:53:13 UTC
lollypop-1.0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4d9805e6e

Comment 49 Fedora Update System 2019-04-03 04:37:54 UTC
lollypop-1.0.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b210e31e50

Comment 50 Fedora Update System 2019-04-03 06:23:56 UTC
lollypop-1.0.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea0eb1bc5d

Comment 51 Fedora Update System 2019-04-03 06:24:14 UTC
lollypop-1.0.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a5242f2f2

Comment 52 Fedora Update System 2019-04-04 03:38:53 UTC
lollypop-1.0.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea0eb1bc5d

Comment 53 Fedora Update System 2019-04-04 04:24:42 UTC
lollypop-1.0.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a5242f2f2

Comment 54 Fedora Update System 2019-04-13 01:30:16 UTC
lollypop-1.0.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2019-04-13 15:32:12 UTC
lollypop-1.0.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.